import type { PeerId } from '@libp2p/interface-peer-id';
import type { Connection, Stream } from '@libp2p/interface-connection';
import { HopMessage, Limit, Reservation } from './pb/index.js';
import type { Multiaddr } from '@multiformats/multiaddr';
import type { Acl, ReservationStore } from './interfaces.js';
import type { ConnectionManager } from '@libp2p/interface-connection-manager';
import type { ProtobufStream } from 'it-pb-stream';
import type { PeerStore } from '@libp2p/interface-peer-store';
export interface HopProtocolOptions {
    connection: Connection;
    request: HopMessage;
    stream: ProtobufStream<Stream>;
    relayPeer: PeerId;
    relayAddrs: Multiaddr[];
    limit?: Limit;
    acl?: Acl;
    reservationStore: ReservationStore;
    connectionManager: ConnectionManager;
    peerStore: PeerStore;
}
export declare function handleHopProtocol(options: HopProtocolOptions): Promise<void>;
export declare function reserve(connection: Connection): Promise<Reservation>;
//# sourceMappingURL=hop.d.ts.map