import type { AddressSorter } from '@libp2p/interface-peer-store';
import type { Startable } from '@libp2p/interfaces/startable';
import type { Components } from '../components.js';
import type { HopConfig, RelayAdvertiseConfig } from './index.js';
export interface RelayInit {
    addressSorter?: AddressSorter;
    maxListeners?: number;
    hop: HopConfig;
    advertise: RelayAdvertiseConfig;
}
export declare class Relay implements Startable {
    private readonly components;
    private readonly init;
    private timeout?;
    private started;
    /**
     * Creates an instance of Relay
     */
    constructor(components: Components, init: RelayInit);
    isStarted(): boolean;
    /**
     * Start Relay service
     */
    start(): Promise<void>;
    /**
     * Stop Relay service
     */
    stop(): Promise<void>;
    /**
     * Advertise hop relay service in the network.
     */
    _advertiseService(): Promise<void>;
}
//# sourceMappingURL=relay.d.ts.map